System.Drawing [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 07 D1 FA 57 C4 AE D9 F0 A3 2E 84 AA 0F AE FD 0D E9 E8 FD 6A EC 8F 87 FB 03 76 6C 83 4C 99 92 1E B2 3B E7 9A D9 D5 DC C1 DD 9A D2 36 13 21 02 90 0B 72 3C F9 80 95 7F C4 E1 77 10 8F C6 07 77 4F 29 E8 32 0E 92 EA 05 EC E4 E8 21 C0 A5 EF E8 F1 64 5C 4C 0C 93 C1 AB 99 28 5D 62 2C AA 65 2C 1D FA D6 3D 74 5D 6F 2D E5 F1 7E 5E AF 0F C4 96 3D 26 1C 8A 12 43 65 18 20 6D C0 93 34 4D 5A D2 93] 1.0.3300.0 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.MarshalByRefObject System.IDisposable To be added

Provides the ability to iterate through subpaths in a and test the types of shapes contained in each subpath. This class cannot be inherited.

- Constructor
  To be added

  Initializes a new instance of the class with the specified object.

  The object for which this helper class is to be initialized.
  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` `` `` `` To be added: an object of type 'Drawing.PointF[]&' To be added: an object of type 'Byte[]&' To be added: an object of type 'int' To be added: an object of type 'int' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of points in the path.

  1.0.5000.0
  2.0.0.0
- Method
  System.Void

  Calling Dispose allows the resources used by this object to be reallocated for other purposes.

  Releases all resources used by this object.

  This method does not return a value.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 `` `` To be added: an object of type 'Drawing.PointF[]&' To be added: an object of type 'Byte[]&' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  1.0.5000.0
  2.0.0.0
  System.Void To be added. To be added.
- Method
  System.Boolean

  All curves in a path are stored as sequences of Bézier splines. For example, when you add an ellipse to a path, you specify the upper-left corner, the width, and the height of the ellipse's bounding rectangle. Those numbers (upper-left corner, width, and height) are not stored in the path; instead; the ellipse is converted to a sequence of four Bézier splines. The path stores the endpoints and control points of those Bézier splines.

  A path stores an array of data points, each of which belongs to a line or a Bézier spline. If some of the points in the array belong to Bézier splines, then returns true. If all points in the array belong to lines, then returns false.

  Certain methods flatten a path, which means that all the curves in the path are converted to sequences of lines. After a path has been flattened, will always return false. Calling the , , or method of the class will flatten a path.

  Indicates whether the path associated with this contains a curve.

  This method returns true if the current subpath contains a curve; otherwise, false.

  1.0.5000.0
  2.0.0.0
- Method
  System.Int32 ``

  Use the method to set markers in a path. Markers are used to create groups of subpaths. One or more subpaths can be between two markers.

  This object has a object associated with it. The method increments the associated to the next marker in its path and copies all the points contained between the current marker and the next marker (or end of path) to a second object passed in to the parameter.

  The number of points between this marker and the next.

  The object to which the points will be copied. 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` To be added: an object of type 'int&' To be added: an object of type 'int&' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` `` To be added: an object of type 'byte&' To be added: an object of type 'int&' To be added: an object of type 'int&' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` To be added: an object of type 'GraphicsPath' To be added: an object of type 'bool&' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Int32 `` `` `` To be added: an object of type 'int&' To be added: an object of type 'int&' To be added: an object of type 'bool&' To be added To be added: an object of type 'int' To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void

  The first time you call the method of an iterator, it gets the first figure (subpath) of that iterator's associated path. The second time, it gets the second figure, and so on. When you call the method, the sequence starts over; that is, after you call , the next call to gets the first figure in the path. The and methods behave similarly.

  Rewinds this to the beginning of its associated path.

  1.0.5000.0
  2.0.0.0
- Property
  System.Int32 To be added: an object of type 'int' To be added

  Gets the number of subpaths in the path.

  1.0.5000.0
  2.0.0.0